## websploit 4.0.4

=== requirements.txt ===
scapy
requests

## websploit 3.0.0

=== debian/changelog ===
websploit (3.0.0-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Remove duplicate Recommends entry
  * Bump watch to V4
  * Remove duplicate iptables Recommends entry

  [ Marcos Fouces ]
  * Add mdk3 package to recommends field
  * Bump to dh 11
  * Changes dependency to python-bs4 as beautifulsoup
    is no longer developed (Closes: #891106).
  * Bump Standards-revision to 4.1.3 (no changes required).
  * Update Vcs-* fields to reflect new salsa.debian.org location
  * Update uploader email address.

  [ Raphaël Hertzog ]
  * Fix patch switching to python-bs4.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sat, 24 Feb 2018 10:54:30 +0100

websploit (3.0.0-1) unstable; urgency=low

  * Debian initial release
  * Disable internal update/upgrade system
  * Add a simple man page
  * Add watch file
  * Asign to pkg-security team
  * Update to debhelper 9
  * Use dh with python2. Set proper depends/build-depends
  * Bump standards-version to 3.9.8
  * Fix copyright holders
  * Fix dep-3 issues on existing patches

 -- Marcos Fouces <mfouces@yahoo.es>  Sat, 27 Aug 2016 08:27:52 +0200

websploit (3.0.0-0kali2) kali-dev; urgency=medium

  * Add a patch wifi-jammer.patch (closes: 0003100)

 -- Sophie Brun <sophie@freexian.com>  Thu, 03 Mar 2016 14:54:05 +0100

websploit (3.0.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add depends on python-scapy
  * Refresh patches
  * Update debian/websploit.install: do not install .pyc

 -- Sophie Brun <sophie@freexian.com>  Mon, 14 Dec 2015 11:06:03 +0100

websploit (2.0.5-1kali1) kali; urgency=low

  * Upgrade to 2.0.5

 -- Emanuele Acri <crossbower@kali.org>  Mon, 17 Mar 2014 11:04:13 +0100

websploit (2.0.4-1kali2) kali; urgency=low

  * Removed postrm

 -- Mati Aharoni <muts@kali.org>  Tue, 19 Nov 2013 11:40:13 -0500

websploit (2.0.4-1kali1) kali; urgency=low

  * Fixed DHCP paths as per bug #704

 -- Mati Aharoni <muts@kali.org>  Tue, 19 Nov 2013 11:30:23 -0500

websploit (2.0.4-1kali0) kali; urgency=low

  * Upstream import of 2.0.4

 -- Mati Aharoni <muts@kali.org>  Sun, 11 Aug 2013 13:37:22 -0400

websploit (2.0.3-1kali1) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 13:53:28 -0500

websploit (2.0.3-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Tue, 11 Dec 2012 14:25:48 -0700

=== debian/control ===
Source: websploit
Section: net
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: debhelper (>= 11), dh-python, python
Standards-Version: 4.1.3
Homepage: https://sourceforge.net/projects/websploit/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/websploit
Vcs-Git: https://salsa.debian.org/pkg-security-team/websploit.git


Package: websploit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends:
# used by modules/mitm.py, modules/webkiller.py, modules/java_applet.py and modules/brow_autopwn.py
 dsniff,
# used by modules/apache_users.py and modules/mitm.py
 python-httplib2,
# used by modules/arp_dos.py and modules/mfod.py
 ettercap-text-only|ettercap,
# used by modules/arp_poisoner.py
 python-scapy, iptables,
# used by modules/bluetooth_pod.py
 bluez,
# used by modules/brow_autopwn.py, modules/java_applet.py and modules/mfod.py
 apache2,
# used by modules/wifi_jammer.py, modules/wifi_honeypot, modules/wifi_dos and modules/mass_deauth.py
 aircrack-ng,
# used by modules/mitm.py
 driftnet,
# used by modules/thebiz.py
 python-urllib3, python-bs4, python-dateutil,
# used by modules/mitm.py
 sslstrip,
# used by modules/wifi_dos.py
 mdk3
Description: Web exploitation framework
 WebSploit is an open source project which is used to scan
 and analysis remote system in order to find various type of
 vulnerabilites. This tool is very powerful and supports
 multiple vulnerabilities.

=== debian/watch ===
version=4

 http://sf.net/websploit/WebSploit-Framework-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## websploit 4.0.4

=== debian/changelog ===
websploit (4.0.4-2) unstable; urgency=medium

  * Update uploader email to @debian.org.
  * Bump to debhelper compat level 13.
  * Update Standards-Version to 4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Sat, 20 Feb 2021 23:39:24 +0100

websploit (4.0.4-1) unstable; urgency=medium

  [ SZ Lin (林上智) ]
  * Team upload.
  * Add upstream metadata
  * Correct license from GPL-3+ to Expat in d/copyright

  [ Marcos Fouces ]
  * Update watch file to new upstream repo (same author).
  * Swith to pybuild build system.
  * Migrate to Python3. (Closes:#939260)
  * Remove d/websploit.install as it is no more needed.
  * Update README file extension in d/websploit.docs.
  * Remove unneeded __pychache__ directories in package.
  * Add dependency on python-setuptools.
  * Bump to Standards-Version 4.5.0 (no changes required).
  * Delete unneeded Recommends field.
  * Add Rules-Requires-Root: no in control file.
  * Update copyright year.
  * Update man page.

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 22 Mar 2020 22:45:35 +0800

websploit (3.0.0-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Bump Standards-Version to 4.4.1
  * Switch to debhelper compat level 12

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 28 Nov 2019 18:17:57 +0100

=== debian/control ===
Source: websploit
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Marcos Fouces <marcos@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-scapy, python3-requests
Standards-Version: 4.5.1
Homepage: https://sourceforge.net/projects/websploit/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/websploit
Vcs-Git: https://salsa.debian.org/pkg-security-team/websploit.git
Rules-Requires-Root: no

Package: websploit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Web exploitation framework
 WebSploit is an open source project which is used to scan
 and analysis remote system in order to find various type of
 vulnerabilites. This tool is very powerful and supports
 multiple vulnerabilities.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=websploit
%:
	 dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	    for dir in `find . -type d -name *pycache*`; \
    do \
        rm -rf $$dir; \
    done

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%websploit-$1.tar.gz%" \
   https://github.com/websploit/websploit/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
